#
# spec file for package golang
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global provider        github
%global provider_tld    com
%global project         golang
%global repo            net
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path     golang.org/x/net

Name:           golang-org-x-%{repo}-context
Version:        0.0.0+git20170424.da118f7
Release:        2.1
Summary:        Context defines the Context type
License:        BSD-3-Clause
Group:          Development/Languages/Golang
Url:            https://%{provider_prefix}
Source0:        %{repo}-%{version}.tar.xz
Source1:        rpmlintrc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  golang-packaging
BuildRequires:  xz

%{go_provides}

%description
Package context defines the Context type, which carries deadlines, cancelation signals, and other request-scoped values across API boundaries and between processes.

%prep
%setup -q -n %{repo}-%{version}
rm -rf $(find * -type d | grep -v '^context')

%build
%goprep %{import_path}
%gobuild ./context

%install
%goinstall
%gosrc
%gofilelist

%check
%gotest %{import_path}/context

%files -f file.lst
%defattr(-,root,root,-)
%doc AUTHORS CONTRIBUTORS LICENSE PATENTS README

%changelog
* Tue Aug 15 2017 thipp@suse.de
- Remove BuildArch
* Fri Jun  2 2017 thipp@suse.de
- Use full tarball and include %%doc section
* Fri Apr 28 2017 opensuse-packaging@opensuse.org
- Update to version 0.0.0+git20170424.da118f7:
  * context/ctxhttp: remove pre-Go 1.5 support
  * context: fix doc typo
  * context: correct spelling of TODO in comment
  * context/ctxhttp: add a specialized minimal version for Go 1.7
  * context/ctxhttp: if context is canceled, return its error
  * context: use Go 1.8 type alias for CancelFunc and Context
  * Revert "context: use Go 1.8 type alias for CancelFunc and Context"
  * context: deflake tests under Go 1.6
  * all: single space after period
  * context/ctxhttp: close httptest server
* Fri Apr 28 2017 jmassaguerpla@suse.com
- Only package and build golang.org/x/net/websocketto prevent problems with
  build requirements of golang.org/x/net
* Tue Feb 28 2017 thipp@suse.de
- Update to version 1.5.2+git20170227.906cda9:
  * publicsuffix: update table to latest list from publicsuffix.org
  * internal/netreflect: don't build on go1.9 or above
  * lif: drop support for go1.5
  * route: drop support for go1.5
  * ipv4, ipv6, internal/netreflect, bpf: fix the x/net build
  * http2/hpack: remove hpack's constant time string comparison
  * http2: replace fixedBuffer with dataBuffer
  * http2: Add opt-in option to Framer to allow DataFrame struct reuse
  * http2/hpack: speedup Encoder.searchTable
  * http2: add configurable knobs for the server's receive window
* Mon Feb 27 2017 thipp@suse.de
- Initial commit
- Add _service
- Add rpmlintrc
